
QGIS Application - Bug report #20041

crash when handling bad layers

2018-10-06 11:14 PM - Jake Maier

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2.3 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27863

Description

Qgis crashed when I tried to re-assign the directories to the files. I tried to apply a new directory to several files

User Feedback

Report Details

Crash ID: 394522c5ad05a18101ff2624ff53f1bfde4b5535

Stack Trace

QgsHandleBadLayers::browseClicked :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsHandleBadLayersHandler::handleBadLayers :

QgsProject::readProjectFile :

QgsProject::read :

QgisApp::addProject :

QgisApp::fileOpen :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-06 11:17 PM - Jake Maier

Jake Maier wrote:

Qgis crashed when I tried to re-assign the directories to the files. I tried to apply a new directory to several files

I have version 3.2 not 3.3

User Feedback

Report Details

Crash ID: 394522c5ad05a18101ff2624ff53f1bfde4b5535

Stack Trace

[...]

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4
Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#2 - 2018-10-08 10:15 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 3.3(master) to 3.2.3

- Priority changed from Normal to High

- Status changed from Open to Feedback

Can you please add some more detail?  is not clear to me when this happens or how to try replicate here locally.

#3 - 2018-10-12 06:22 AM - Alessandro Pasotti

- Subject changed from crash to crash when handling bad layers

#4 - 2018-10-12 11:00 AM - Giovanni Manghi

- Category changed from Unknown to Project Loading/Saving

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-11 04:17 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
